POST api/sticker/getAll

Request Information

URI Parameters

None.

Body Parameters

SearchParamsViewModel
NameDescriptionTypeAdditional information
active

boolean

None.

firstElementIndex

integer

None.

id

globally unique identifier

None.

site_id

globally unique identifier

None.

keywords

string

None.

numberOfElements

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "firstElementIndex": 1,
  "id": "14fff476-ec9a-4087-83a7-e3a10e20e936",
  "site_id": "29584a41-02c7-4a33-bd62-4c3c9590580d",
  "keywords": "sample string 1",
  "numberOfElements": 1
}

application/xml, text/xml

Sample:
<searchParamsViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <firstElementIndex>1</firstElementIndex>
  <id>14fff476-ec9a-4087-83a7-e3a10e20e936</id>
  <keywords>sample string 1</keywords>
  <numberOfElements>1</numberOfElements>
  <site_id>29584a41-02c7-4a33-bd62-4c3c9590580d</site_id>
</searchParamsViewModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'SearchParamsViewModel'.

Response Information

Resource Description

PaginationResultViewModelOfListOfStickerViewModel
NameDescriptionTypeAdditional information
data

Collection of StickerViewModel

None.

totalRecord

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "data": [
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "77c5b392-41d3-438e-8cea-d0b2dc8610d0",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "73cec0d4-80fa-4ad7-aacf-a687509d941f",
          "contractItem_ID": "f9690c46-6e67-4005-93c7-be2074443b6a",
          "departement_ID": "5a27c90a-9f75-4790-9093-d16361571119",
          "departmentItem_ID": "2d9db425-cce3-4dd8-82f1-503d2bbb13a2",
          "iD": "d0dc21da-9487-43c4-a304-8b5f5a559d0c",
          "site_ID": "0eeeb34b-1cc3-496d-a671-1e7e2ce826af",
          "siteCustomer_ID": "658ac664-2bb8-44db-b338-96ebfaef7f69",
          "sticker_ID": "f61c579d-53d5-4121-b5a5-56a213eead17"
        },
        {
          "active": true,
          "contract_ID": "73cec0d4-80fa-4ad7-aacf-a687509d941f",
          "contractItem_ID": "f9690c46-6e67-4005-93c7-be2074443b6a",
          "departement_ID": "5a27c90a-9f75-4790-9093-d16361571119",
          "departmentItem_ID": "2d9db425-cce3-4dd8-82f1-503d2bbb13a2",
          "iD": "d0dc21da-9487-43c4-a304-8b5f5a559d0c",
          "site_ID": "0eeeb34b-1cc3-496d-a671-1e7e2ce826af",
          "siteCustomer_ID": "658ac664-2bb8-44db-b338-96ebfaef7f69",
          "sticker_ID": "f61c579d-53d5-4121-b5a5-56a213eead17"
        }
      ],
      "details": [
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "e1167cb0-3ab7-4d91-99d6-f09aff2f6eab",
            "isStatic": true,
            "stickerType_ID": "9e8a3b23-5c31-4294-ba04-c85173ad665c",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "ed1ca95e-e41c-454f-83cb-ed99116ae9fe",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "f39259a6-dbfc-4388-8782-82fa0e913bf3",
          "stickerField_ID": "deea9acc-3097-4757-9762-dd8960eedf5f",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        },
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "e1167cb0-3ab7-4d91-99d6-f09aff2f6eab",
            "isStatic": true,
            "stickerType_ID": "9e8a3b23-5c31-4294-ba04-c85173ad665c",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "ed1ca95e-e41c-454f-83cb-ed99116ae9fe",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "f39259a6-dbfc-4388-8782-82fa0e913bf3",
          "stickerField_ID": "deea9acc-3097-4757-9762-dd8960eedf5f",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        }
      ],
      "active": true,
      "code": "sample string 2",
      "id": "a9d077b2-7f36-4864-9843-0e0b3e2af641",
      "stickerType_ID": "1021a8bc-de06-466f-a1c1-0b01518c2216",
      "stickerRelation_IDs": [
        "fbdbc123-d504-40f4-87a1-638de8a73d53",
        "2ce25263-5e4a-47ed-a4b0-3940991e0332"
      ],
      "site_ID": "6eb8dc93-1e51-43c5-9110-24e5299b3bbd"
    },
    {
      "descriptions": {
        "sample string 1": "sample string 2",
        "sample string 3": "sample string 4"
      },
      "type": {
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "code": "sample string 1",
        "id": "77c5b392-41d3-438e-8cea-d0b2dc8610d0",
        "technicalDescription": "sample string 3",
        "active": true
      },
      "relations": [
        {
          "active": true,
          "contract_ID": "73cec0d4-80fa-4ad7-aacf-a687509d941f",
          "contractItem_ID": "f9690c46-6e67-4005-93c7-be2074443b6a",
          "departement_ID": "5a27c90a-9f75-4790-9093-d16361571119",
          "departmentItem_ID": "2d9db425-cce3-4dd8-82f1-503d2bbb13a2",
          "iD": "d0dc21da-9487-43c4-a304-8b5f5a559d0c",
          "site_ID": "0eeeb34b-1cc3-496d-a671-1e7e2ce826af",
          "siteCustomer_ID": "658ac664-2bb8-44db-b338-96ebfaef7f69",
          "sticker_ID": "f61c579d-53d5-4121-b5a5-56a213eead17"
        },
        {
          "active": true,
          "contract_ID": "73cec0d4-80fa-4ad7-aacf-a687509d941f",
          "contractItem_ID": "f9690c46-6e67-4005-93c7-be2074443b6a",
          "departement_ID": "5a27c90a-9f75-4790-9093-d16361571119",
          "departmentItem_ID": "2d9db425-cce3-4dd8-82f1-503d2bbb13a2",
          "iD": "d0dc21da-9487-43c4-a304-8b5f5a559d0c",
          "site_ID": "0eeeb34b-1cc3-496d-a671-1e7e2ce826af",
          "siteCustomer_ID": "658ac664-2bb8-44db-b338-96ebfaef7f69",
          "sticker_ID": "f61c579d-53d5-4121-b5a5-56a213eead17"
        }
      ],
      "details": [
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "e1167cb0-3ab7-4d91-99d6-f09aff2f6eab",
            "isStatic": true,
            "stickerType_ID": "9e8a3b23-5c31-4294-ba04-c85173ad665c",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "ed1ca95e-e41c-454f-83cb-ed99116ae9fe",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "f39259a6-dbfc-4388-8782-82fa0e913bf3",
          "stickerField_ID": "deea9acc-3097-4757-9762-dd8960eedf5f",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        },
        {
          "stickerField": {
            "previewValue": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "descriptions": {
              "sample string 1": "sample string 2",
              "sample string 3": "sample string 4"
            },
            "active": true,
            "code": "sample string 2",
            "id": "e1167cb0-3ab7-4d91-99d6-f09aff2f6eab",
            "isStatic": true,
            "stickerType_ID": "9e8a3b23-5c31-4294-ba04-c85173ad665c",
            "technicalDescription": "sample string 6"
          },
          "active": true,
          "backgroundColor": "sample string 2",
          "bold": true,
          "fontSize": 4,
          "foregroundColor": "sample string 5",
          "id": "ed1ca95e-e41c-454f-83cb-ed99116ae9fe",
          "italic": true,
          "staticValue": "sample string 8",
          "sticker_ID": "f39259a6-dbfc-4388-8782-82fa0e913bf3",
          "stickerField_ID": "deea9acc-3097-4757-9762-dd8960eedf5f",
          "stringLength": 1,
          "stringStart": 1,
          "zoneNumber": 11
        }
      ],
      "active": true,
      "code": "sample string 2",
      "id": "a9d077b2-7f36-4864-9843-0e0b3e2af641",
      "stickerType_ID": "1021a8bc-de06-466f-a1c1-0b01518c2216",
      "stickerRelation_IDs": [
        "fbdbc123-d504-40f4-87a1-638de8a73d53",
        "2ce25263-5e4a-47ed-a4b0-3940991e0332"
      ],
      "site_ID": "6eb8dc93-1e51-43c5-9110-24e5299b3bbd"
    }
  ],
  "totalRecord": 1
}

application/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'application/xml'. Exception message: Object graph for type 'EntityModel.StickerViewModel' contains cycles and cannot be serialized if reference tracking is disabled.

text/xml

Sample:

An exception has occurred while using the formatter 'XmlMediaTypeFormatter' to generate sample for media type 'text/xml'. Exception message: Object graph for type 'EntityModel.StickerViewModel' contains cycles and cannot be serialized if reference tracking is disabled.